stages:
  - unittests

test_datalake:
  stage: unittests
  image: python:3.7-slim-stretch
  cache:
    key: poc_dependencies
    paths:
      - /usr/lib/python3.7/site-packages
  before_script:
    - pip install --upgrade pip setuptools wheel
    - pip install tox
    - pip install codecov
  script:
    - tox --recreate
    - codecov -t "087807bc-6b7c-4d18-942e-548296ff9730"
